Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1062739 - [abrt] yum: sqlutils.py:168:executeSQLQmark:DatabaseError: database disk image is malformed
Summary: [abrt] yum: sqlutils.py:168:executeSQLQmark:DatabaseError: database disk imag...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Packaging Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:f17398f7564ba3954cdd9aab09c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-07 21:03 UTC by kamil.piskorz
Modified: 2015-06-29 15:04 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 15:04:25 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-02-07 21:03 UTC, kamil.piskorz
no flags Details
File: environ (deleted)
2014-02-07 21:03 UTC, kamil.piskorz
no flags Details

Description kamil.piskorz 2014-02-07 21:03:30 UTC
Description of problem:
yum update and is visible issue

Version-Release number of selected component:
yum-3.4.3-132.fc20

Additional info:
reporter:       libreport-2.1.12
cmdline:        /usr/bin/python /usr/bin/yum --skip-broken update
executable:     /usr/bin/yum
kernel:         3.12.9-301.fc20.x86_64
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
sqlutils.py:168:executeSQLQmark:DatabaseError: database disk image is malformed

Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 355, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 261, in main
    return_code = base.doTransaction()
  File "/usr/share/yum-cli/cli.py", line 770, in doTransaction
    resultobject = self.runTransaction(cb=cb)
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 1788, in runTransaction
    self.skipped_packages, rpmdb_problems, cmdline)
  File "/usr/lib/python2.7/site-packages/yum/history.py", line 941, in beg
    pid   = self.pkg2pid(txmbr.po)
  File "/usr/lib/python2.7/site-packages/yum/history.py", line 798, in pkg2pid
    return self._ipkg2pid(po, create)
  File "/usr/lib/python2.7/site-packages/yum/history.py", line 792, in _ipkg2pid
    return self._pkgtup2pid(po.pkgtup, csum, create)
  File "/usr/lib/python2.7/site-packages/yum/history.py", line 753, in _pkgtup2pid
    epoch=? AND version=? AND release=?""", pkgtup)
  File "/usr/lib/python2.7/site-packages/yum/sqlutils.py", line 168, in executeSQLQmark
    return cursor.execute(query, params)
DatabaseError: database disk image is malformed

Local variables in innermost frame:
cursor: <sqlite3.Cursor object at 0x12e3f10>
query: 'SELECT pkgtupid, checksum FROM pkgtups\n                           WHERE name=? AND arch=? AND\n                                 epoch=? AND version=? AND release=?'
params: ('bluez-libs', 'x86_64', '0', '5.13', '1.fc20')

Comment 1 kamil.piskorz 2014-02-07 21:03:35 UTC
Created attachment 860694 [details]
File: backtrace

Comment 2 kamil.piskorz 2014-02-07 21:03:37 UTC
Created attachment 860695 [details]
File: environ

Comment 3 Fedora End Of Life 2015-05-29 10:50:50 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2015-06-29 15:04:25 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.